POST V1/RateAndTariff.{ext}/UpdateAuditRequest

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.RateAndTariff.Entities.AuditRequestDetail
NameDescriptionTypeAdditional information
RateAuditRequestId

No description available

integer

None.

RateAuditRequestName

No description available

string

None.

InventorySize

No description available

string

None.

TotalAnnualSpend

No description available

decimal number

None.

ExpectedCompletionDate

No description available

string

None.

RateAuditPlan

No description available

string

None.

Comments

No description available

string

None.

AuditRequestStatus

No description available

string

None.

CreatedUser

No description available

string

None.

NumberOfYears

No description available

integer

None.

CreatedDate

No description available

string

None.

ProposedSavingPercentage

No description available

string

None.

AuditSummary

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "rateAuditRequestId": 1,
  "rateAuditRequestName": "sample string 2",
  "inventorySize": "sample string 3",
  "totalAnnualSpend": 4.0,
  "expectedCompletionDate": "sample string 5",
  "rateAuditPlan": "sample string 6",
  "comments": "sample string 7",
  "auditRequestStatus": "sample string 8",
  "createdUser": "sample string 9",
  "numberOfYears": 10,
  "createdDate": "sample string 11",
  "proposedSavingPercentage": "sample string 12",
  "auditSummary": "sample string 13"
}

application/xml, text/xml

Sample:
<AuditRequestDetail xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.RateAndTariff.Entities">
  <AuditRequestStatus>sample string 8</AuditRequestStatus>
  <AuditSummary>sample string 13</AuditSummary>
  <Comments>sample string 7</Comments>
  <CreatedDate>sample string 11</CreatedDate>
  <CreatedUser>sample string 9</CreatedUser>
  <ExpectedCompletionDate>sample string 5</ExpectedCompletionDate>
  <InventorySize>sample string 3</InventorySize>
  <NumberOfYears>10</NumberOfYears>
  <ProposedSavingPercentage>sample string 12</ProposedSavingPercentage>
  <RateAuditPlan>sample string 6</RateAuditPlan>
  <RateAuditRequestId>1</RateAuditRequestId>
  <RateAuditRequestName>sample string 2</RateAuditRequestName>
  <TotalAnnualSpend>4</TotalAnnualSpend>
</AuditRequestDetail>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.